# 自定义错误代码

## 接口错误码

| **状态码** | **状态描述**          | **英文描述**                                                                      |
| ------- | ----------------- | ----------------------------------------------------------------------------- |
| **0**   | **提交成功**          | **Submitted success**                                                         |
| 101     | 账号不存在             | Account does not exist                                                        |
| 118     | 发送号码不存在           | send phone number does not exist                                              |
| 102     | 密码错误              | Password wrong                                                                |
| 103     | 拉取条数格式错误          | Incorrect number of pulls                                                     |
| 104     | 拉取条数不在范围内         | Pull number is not in the range                                               |
| 105     | 批次编号大于128位        | uid length exceeds 128 character limit                                        |
| 106     | 短信内容长度超过3000字符限制  | Text message length exceeds 3000 character limit                              |
| 108     | 手机号码格式错误          | Wrong format of phone number                                                  |
| 109     | 手机号码个数错误          | Wrong phone number                                                            |
| 110     | 余额不足              | Account balance is insufficient                                               |
| 112     | 产品配置错误            | Product configuration error                                                   |
| 114     | 客户端IP错误           | Client IP error                                                               |
| 115     | 没有开通国内短信权限        | No domestic SMS permission                                                    |
| 116     | 账号已删除或禁用          | Account deleted or disabled                                                   |
| 117     | 接入号长度超过20位        | senderId length exceeds 20 character limit                                    |
| 123     | 短信内容不能为空          | SMS content cannot be empty                                                   |
| 124     | 简介或验证码不能为空        | Introduction or verification code cannot be empty                             |
| 125     | 特定客户手机号码同一天不能超过十次 | Specific customer mobile phone number cannot exceed ten times on the same day |
| 126     | 定时短信发送时间不能为空      | Timing SMS sending time cannot be empty                                       |
| 127     | 定时短信发送时间错误        | Timed SMS sending time error                                                  |
| 128     | 账号长度超过50位         | Account length exceeds 50 digits                                              |
| 129     | 产品价格配置错误          | Product price configuration error                                             |
| 130     | 未知异常              | Unknown anomaly                                                               |
| 131     | 超过日发送上限           | Exceeded daily sending limit                                                  |
| 132     | 超过月发送上限           | Exceeded monthly sending limit                                                |
| 133     | 超过发送上限            | Exceeded sending limit                                                        |
| 134     | 超过反投诉限制           | Exceeded counter-complaint limit                                              |
| 135     | 短信内容不匹配           | messages don't match                                                          |
| 136     | 短信计费失败            | message charge error                                                          |
| 137     | 账户余额不足            | Insufficient account balance                                                  |
| 138     | 黑名单发送限制           | blacklist send limit                                                          |
| 139     | whatsApp模板ID匹配错误  | whatsApp templateId match error                                               |
| 140     | 超过日发送金额上限         | Exceeded daily money limit                                                    |
| 141     | 号码是空号             | Phone number is vacant                                                        |
| 142     | 新用户需要配置ip白名单      | Client IP is required                                                         |
| 143     | 流量控制错误            | Traffic control error                                                         |
| 201     | 发送号码不合法           | Send number is invalid                                                        |
| 202     | 没有可用Sender        | No sender available                                                           |
| 203     | 没有发送价格            | Price not found                                                               |
| 204     | WhatsApp模板不存在     | WhatsApp template not found                                                   |
| 205     | WhatsApp模板类型错误    | WhatsApp category error                                                       |
| 206     | 请配置WhatsApp发送通道   | WhatsApp gateway not found                                                    |
| 207     | WhatsApp通道属性不匹配   | WhatsApp gateway attribute mismatch                                           |
| 208     | WABA账号未绑定         | WABA account unknown                                                          |
| 100000  | Token失败           | Token Failed                                                                  |
| 100001  | Tonkn校验失败         | Invalid Token                                                                 |
| 100002  | Token缺失           | Token Missing                                                                 |
| 100003  | 未登录               | Not Login                                                                     |
| 100004  | 用户名或密码错误          | Username or Password Error                                                    |
| 100005  | Ticket缺失          | Ticket Missing                                                                |
| 100006  | Ticket校验失败        | Ticket Invalid                                                                |
| 100007  | 注销失败              | Logout Failed                                                                 |
| 100008  | IP校验失败            | IP Error                                                                      |
| 100009  | 签名校验失败            | Sign Error Or Invalid                                                         |
| 101000  | AES加密或解密失败        | AES Encrypt or Decrypt Failed                                                 |
| 200001  | 数据不存在             | Data Not Existed                                                              |
| 200002  | 数据已存在             | Data Existed                                                                  |
| 200003  | 参数错误              | Param Error                                                                   |
| 200004  | 文件处理失败            | File Processing Failure                                                       |
| 300001  | 会员校验失败            | membership check failed                                                       |
| 500     | 服务器内部错误           | Server Internal Error                                                         |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.innopaas.com/api-reference/whatsapp-business-api/cuo-wu-dai-ma/zi-ding-yi-cuo-wu-dai-ma.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
